samtools-fixmate(1)

NAME
samtools fixmate - fills in mate coordinates and insert size fields.

SYNOPSIS

samtools fixmate [-rpcmu] [-O format] in.nameSrt.bam out.bam

DESCRIPTION

Fill in mate coordinates, ISIZE and mate related flags from a name-sorted or name-collated alignment.

OPTIONS

-r  Remove secondary and unmapped reads.

-p  Disable FR proper pair check.

-c  Add template cigar ct tag.

-m  Add ms (mate score) tags. These are used by markdup to select the best reads to keep.

-M  Fix any base modification tags (MM, ML and MN). If we have secondary alignments with hard-clipping and the hard clipped reads do not have an MN tag then we use the base modification tags in the primary alignment to clip the secondary alignment modifications, adding MN tags in the process. This also does other sanity checks on the consistency of these tags.

-u  Output uncompressed BAM or CRAM.

-O FORMAT
    Write the final output as sam, bam, or cram. By default, samtools tries to select a format based on the output filename extension; if output is to standard output or no format can be deduced, bam is selected.

--no-PG
    Do not add a @PG line to the header of the output file.

-@, --threads INT
    Number of input/output compression threads to use in addition to main thread [0].

-z FLAGs, --sanitize FLAGs
    Perform basic sanitizing of records. FLAGs is a comma-separated list of keywords, defined in the samtools-view(1) man page. By default all FLAGs are enabled. Use -z off to disable this.

AUTHOR

Written by Heng Li from the Sanger Institute.

SEE ALSO
samtools(1), samtools-markdup(1), samtools-sort(1), samtools-collate(1)

Samtools website: <http://www.htslib.org/>